
/*
 * Step 1: Initialize the platform library, print out the 
 * platform description, hello world and exit.
 */

#include <iostream.h>
#include <stdlib.h>

#include "PiAPI.h"
#include "TestOS.h"

/* ---
--- */
int iRet;
void Step1()
{
	cout << "Program running on " << PIPlatform_getDescription() << endl;
	cout << "Hello World" << endl;
	iRet = 0;
}

/* ---
--- */
int main()
{
	if ( PIPlatform_enter( "dummy", PIPLATFORM_VERSION_1_0, Step1 ) )
		{
		cout << "Platform_enter() failed." << endl;
		FAILED(99);
		exit( 1 );
		};
	OK;

	return iRet;
}

